c-----------------------------------------------------------------------
c
c            piecewise lagrange triangle multi grid package
c
c                  edition 13.0 - - - september, 2018
c
c-----------------------------------------------------------------------
        module mthdef
cx
        integer(kind=4), parameter :: isngl=4
        integer(kind=4), parameter :: idble=8
        integer(kind=4), parameter :: rsngl=4
        integer(kind=4), parameter :: rdble=8
        integer(kind=4), parameter :: rquad=16
c
        integer(kind=4), parameter :: iknd=isngl
        integer(kind=4), parameter :: rknd=rdble
cy
        end module

